Last Comment Bug 658956 - Use $(TAR) instead of hardcoding tar in toolkit/mozapps/extensions/test/Makefile.in
: Use $(TAR) instead of hardcoding tar in toolkit/mozapps/extensions/test/Makef...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86_64 OpenBSD
: -- normal (vote)
: mozilla7
Assigned To: Landry Breuil (:gaston)
:
:
Mentors:
Depends on:
Blocks: 815793
  Show dependency treegraph
 
Reported: 2011-05-23 01:58 PDT by Landry Breuil (:gaston)
Modified: 2012-11-27 13:42 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use $(TAR) instead of tar (1.03 KB, patch)
2011-05-23 02:00 PDT, Landry Breuil (:gaston)
khuey: review+
Details | Diff | Splinter Review

Description Landry Breuil (:gaston) 2011-05-23 01:58:52 PDT
Similar to bug #594734, landing of bug #616999 in http://hg.mozilla.org/mozilla-central/rev/40195c0187d3 broke nightly builds on OpenBSD, see :
http://buildbot.rhaalovely.net/builders/mozilla-central-amd64

Errors message starts with :
tar: Link name too long for ustar /var/buildslave-mozilla/mozilla-central-amd64/build/toolkit/mozapps/extensions/test/xpcshell/head_addons.js

bsd tar has a limit of 100 chars in the ustar format, so gtar/$(TAR) should be used instead. I don't know why the commit triggers it now though.
Comment 1 Landry Breuil (:gaston) 2011-05-23 02:00:18 PDT
Created attachment 534383 [details] [diff] [review]
Use $(TAR) instead of tar

Fix i'm currently testing, results in a few at http://buildbot.rhaalovely.net/builders/mozilla-central-amd64/builds/43
Comment 2 Landry Breuil (:gaston) 2011-05-23 04:26:22 PDT
Build fixed by the aforementioned patch.
Comment 3 Dão Gottwald [:dao] 2011-05-25 01:28:35 PDT
http://hg.mozilla.org/mozilla-central/rev/f4ae1f81d419

Note You need to log in before you can comment on or make changes to this bug.